package com.example.onlinejudge.controller;

import com.example.onlinejudge.model.entity.result.Result;
import com.example.onlinejudge.model.entity.result.ResultCode;
import com.example.onlinejudge.model.enums.QuestionSubmitLanguageEnum;
import com.example.onlinejudge.service.QuestionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "提交判题")
@RestController
@RequestMapping("/api/judge")
@Slf4j
public class JudgeController {
    @Autowired
    private QuestionService questionService;

    @ApiOperation(value = "上传代码进行判题")
    @PostMapping("/insertDataset")
    public Result insertDataset(){

        return Result.success();
    }

    @ApiOperation(value = "提交代码")
    @PostMapping("/submitCode")
    public Result submitCode(@RequestParam("code") String code,
                             @RequestParam("questionId") String questionID,
                             @RequestParam("language")String language,
                             @RequestParam(defaultValue = "", value = "userCases") String userCases,
                             @RequestParam(value = "judgeMode") Integer judgeMode) {
        return null;
//                questionService.receiveCode(Long.parseLong(questionID), code, language, userCases, judgeMode);
    }
}
