package com.example.onlinejudge.model.dto.questionSubmit;

import com.example.onlinejudge.common.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@ApiModel("查询题目请求")
@Data
@EqualsAndHashCode(callSuper = true)
public class QuestionSubmitQueryRequest extends PageRequest implements Serializable {

        /**
         * 编程语言
         */
        private String language;

        /**
         * 提交状态
         */
        private Integer status;

        /**
         * 题目 id
         */
        private Long questionId;


        /**
         * 用户 id
         */
        private Long userId;

        private static final long serialVersionUID = 1L;
}
